This project has moved and is read-only. For the latest updates, please go here.

post update actions

Topics: Technical Issues
Nov 13, 2016 at 2:34 AM
With each update that fixes vulnerabilities, do I need to re-create any volumes made with prior versions?
Nov 13, 2016 at 10:10 AM
Edited Nov 13, 2016 at 10:10 AM
Short answer is you don't have to recreate anything, because vc is compatible with older versions. But there have been some (experimental) support for algorithms as GOST in previous beta versions, which are no longer supported. If you have used only "stable" releases, you should be fine.
Nov 18, 2016 at 12:10 AM
Is not the vulnerability addressed by updates something that is inherent in the volume created with older versions, rather that the version used to open a volume? If not, couldn't someone just use an older version of the program to exploit the vulnerability?
Nov 18, 2016 at 1:17 AM
Generally speaking no, the algorithm doesn't change in the containers.